Skip to content
v0.3

cart.remove_line

Remove a line from the cart.

  • Scope: public
  • System: no
  • Reachable from: POST /v1/cart/commands/cart.remove_line — an ANONYMOUS face: x-forge-store is required, no credential is sent, and it is never on /v1/commands/* · MCP tool cart.remove_line
  • Events: none — The cart is session state read no-store; durable history begins at the order.
{
"properties": {
"cart_id": {
"minLength": 1,
"type": "string"
},
"line_id": {
"minLength": 1,
"type": "string"
}
},
"required": [
"cart_id",
"line_id"
],
"type": "object"
}
{
"additionalProperties": false,
"properties": {
"line_id": {
"type": "string"
},
"removed": {
"type": "boolean"
}
},
"required": [
"line_id",
"removed"
],
"type": "object"
}

validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)